Qt Reference Documentation

# QML ParticleMotionGravity Element

The ParticleMotionGravity object moves particles towards a point. More...

This element was introduced in Qt 4.7.

- List of all members, including inherited members

## Properties

- acceleration : real
- xattractor : real
- yattractor : real

## Detailed Description

This motion attracts the particles to the specified point with the specified acceleration. To mimic earth gravity, set yattractor to -6360000 and acceleration to 9.8.

The defaults are all 0, not earth gravity, and so no motion will occur without setting at least the acceleration property.

See also Particles.

## Property Documentation

acceleration : real

This property holds the acceleration to apply to the particles.

xattractor : real
yattractor : real

These properties hold the x and y coordinates of the point attracting the particles.